using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;

namespace RTFToPDF
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            //Create a new PDF Document. The pdfDoc object represents the PDF document.
            //This document has one page by default and additional pages have to be added.
            PDFDocument pdfDoc = new PDFDocument();
            pdfDoc.AutoCreatePages = true;

            //IPDFGraphicState is used for setting properties of all drawing objects.
            IPDFGraphicState state = pdfDoc.CreateGraphicState();
            state.BreakBehavior = AutoBreakBehavior.Cropping;


            //Insert Text into the pdf Document.
            System.IO.StreamReader myFile = new System.IO.StreamReader(@"..\..\Data\Sample.rtf");
            string read = myFile.ReadToEnd();

            //Draw RTF text at the specified Location.
            pdfDoc.LastPage.Graphics.DrawRTFText(0, 0, read, state);

            //Save the PDF Document to disk.
            pdfDoc.Save("Sample.pdf");
            //Message box confirmation to view the created PDF document.
            if (MessageBox.Show("Do you want to view the PDF file?", "PDF File Created",
                MessageBoxButtons.YesNo, MessageBoxIcon.Information)
                == DialogResult.Yes)
            {
                //Launching the PDF file using the default Application.[Acrobat Reader]
                System.Diagnostics.Process.Start("Sample.pdf");
                this.Close();
            }
            else
            {
                // Exit
                this.Close();
            }
        }
    }
}